#!/bin/sh
set -e

CONFIG_FILE=/etc/cfs.conf

# source config file
test ! -r "$CONFIG_FILE" || . "$CONFIG_FILE"

test -n "$CRYPT_ROOT" || exit 0

if test -x /usr/sbin/exportfs; then
  # nfs-kernel-server
  if ! grep '^/' /etc/exports >/dev/null; then
    # no exports, start temporary rcp.mountd
    rpc.mountd -F -P3048 -V2 2>/dev/null &
    MOUNTD=$!
    trap "kill -TERM $MOUNTD" EXIT
    echo -n 'mountd... '
  fi
fi
rpcinfo -u 127.0.0.1 mountd 2 >/dev/null 2>&1 || sleep 1
rpcinfo -u 127.0.0.1 mountd 2 || exit 1
umount $CRYPT_ROOT
sleep 1
exit 0
